Skip to main content
PUT
/
networks
/
affiliatetiers
/
{affiliateTierId}
Update Affiliate Tier
curl --request PUT \
  --url https://api.eflow.team/v1/networks/affiliatetiers/{affiliateTierId} \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "name": "Platinum10",
  "status": "active",
  "description": "Example tier",
  "network_affiliate_ids": [
    1
  ],
  "payout_margin": 10,
  "is_default_tier": false,
  "labels": [
    "platinum",
    "premium"
  ]
}
'
{
  "network_affiliate_tier_id": 1,
  "network_id": 1,
  "name": "Platinum10",
  "status": "active",
  "description": "Example tier",
  "network_affiliate_ids": [
    1
  ],
  "payout_margin": 10,
  "is_default_tier": false,
  "time_created": 1774620660,
  "time_saved": 1774620995
}
Update an existing affiliate tier. You must specify all the fields, not only the ones you wish to update. If you omit a field that is not marked as required, its default value will be used.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateTierId
integer
required

The ID of the affiliate tier you want to update.

Body

application/json
name
string
required

The name of the affiliate tier.

status
enum<string>
required

Status of the affiliate tier. Can be one of the following values - active, paused or deleted.

Available options:
active,
paused,
deleted
payout_margin
number
required

The payout margin percentage applied to affiliates in this tier.

is_default_tier
boolean
required

Whether or not the affiliate tier will be automatically tied to all new partners.

description
string

Optional description of the affiliate tier.

network_affiliate_ids
integer[] | null

IDs of the affiliates to assign to this tier.

labels
string[]

List of labels to associate with the affiliate tier.

Response

network_affiliate_tier_id
integer

The unique ID of the affiliate tier.

network_id
integer

The ID of the network this tier belongs to.

name
string

The name of the affiliate tier.

status
enum<string>

Status of the affiliate tier. Can be one of the following values - active, paused or deleted.

Available options:
active,
paused,
deleted
description
string

Optional description of the affiliate tier.

network_affiliate_ids
integer[] | null

IDs of the affiliates assigned to this tier.

payout_margin
number

The affiliate's payout margin.

is_default_tier
boolean

Whether or not the affiliate tier will be automatically tied to all new partners.

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015

relationship
object

Related data for this affiliate tier. Populate by passing the relationship query parameter (e.g. ?relationship=all).